Bug 133929 - rc.sysconfig references non-existent /usr/sbin/kbdconfig
rc.sysconfig references non-existent /usr/sbin/kbdconfig
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: 129244
  Show dependency treegraph
 
Reported: 2004-09-28 11:15 EDT by Panu Matilainen
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 11:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panu Matilainen 2004-09-28 11:15:56 EDT
Description of problem:
In "unconfigured" mode rc.sysinit looks for /usr/sbin/kbdconfig which
doesn't exist anymore on RHEL 3, causing the keyboard configuration
step to be missed.

This bit should be changed to use redhat-config-keyboard instead...

    if [ -x /usr/sbin/kbdconfig ]; then
        /usr/sbin/kbdconfig
    fi

Version-Release number of selected component (if applicable):
All RHEL 3 and FC2 versions of initscripts-package (possibly FC3test,
haven't checked)

How reproducible:
Always

Steps to Reproduce:
1. touch /.unconfigured
2. reboot

    

Actual Results:  Keyboard setup is missed.

Expected Results:  Should've asked for keyboard layout before root
password.

Additional info:

Affects Fedora Core as well...
Comment 1 John Flanagan 2004-12-21 09:33:03 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-511.html
Comment 2 Panu Matilainen 2005-03-14 07:17:55 EST
Actually the fix is incorrect for RHEL 3: it now refers to
system-config-keyboard which is not present in RHEL 3, should be
redhat-config-keyboard instead like the original bug description says.
Comment 3 Tim Powers 2005-05-18 11:35:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-123.html

Note You need to log in before you can comment on or make changes to this bug.